## Libraries
#install.packages("dplyr")
#install.packages("tidyr")
library(dplyr)
library(tidyr)

## Set working directory
setwd("D:/Dropbox/GRANTY/INTERCOST_2018_2021/DATABASE")
setwd("F:/Dropbox/GRANTY/INTERCOST_2018_2021/DATABASE")
setwd("/home/douda/Dropbox/GRANTY/INTERCOST_2018_2021/DATABASE")

### UHUL POLABI
# Import dat
data<-read.delim("TABLE_UHUL.txt", sep="\t",header=T)
data <- separate(data, DATE, c("Year","Month", "Day"),sep = c(4,6))

# Druhova matice
datas<-data
datas$Spec <- paste(datas$SPECIESNAME,datas$LAYER)

length(unique(data$FIELD_NR))
length(unique(datas$headerdata_RELEVE_NR))
length(unique(datas$SPECIESNAME))



hr<-matrix(ncol=length(unique(datas$Spec)),nrow=length(unique(datas$FIELD_NR)))
colnames(hr)<-unique(datas$Spec)
rownames(hr)<-unique(datas$FIELD_NR)


for(l in unique(datas$FIELD_NR)){  
for(i in unique(datas$Spec)){

if (any(grepl(i, (subset(datas, grepl(l, datas$FIELD_NR)))$Spec))) {

z<-subset(datas, grepl(l, datas$FIELD_NR))
d<-subset(z, grepl(i, z$Spec))$COVER_PERC
hr[l,i]=d} else {hr[l,i]=0}
}
}

hr

## Remove samples (not floodplains)
#  T1750144 T1710396 T1710396

## Sample removing
library(vegan)
sr<-hr[!rownames(hr) %in% c("T1750144","T1710396","T1710199","T1750161"), ]
colnames(sr)<-abbreviate(colnames(sr), 4, strict = TRUE)

## Rest of sample visualisation
dca<-decorana(sr)
plot(dca)


## Select individual samples according sample ID

snimek<-function(x)
{
selectRel<-subset(data, grepl(x, data$FIELD_NR))[,c(9,10,11,13,18,19,20,21,22,40,41,56,61,63)]
selectRel[order(selectRel$FIELD_NR,selectRel$LAYER,selectRel$SPECIESNAME),]
}

## Select individual samples according species present
druh<-function(x)
{
selectRel<-subset(data, grepl(x,data$SPECIESNAME))[,c(9,10,11,13,18,19,20,21,22,40,41,56,61,63)]
selectRel[order(selectRel$FIELD_NR,selectRel$LAYER,selectRel$SPECIESNAME),]
}

## Sample selector according sample ID
unique(data$FIELD_NR)
snimek("T1710854")

## Sample selector according to species present
druh("Alnus glutinosa")

## Hunting duplicated
hea<-data[!duplicated(data$FIELD_NR),][,c(9,10,11,13,18,19,20,21,22,40,41)]
Coordinates<-read.delim("Souradnice.csv", sep=";",header=T)
headers<-merge(hea, Coordinates,by.x = "FIELD_NR", by.y = "FIELD_NR",all=TRUE)
headers<-headers[!headers[,1] %in% c("T1750144","T1710396","T1710199","T1750161"), ]
headers
#write.table(headers, "UHULHEAD.csv",sep=";")



### Neuhauslova Polabi

# Import dat
dataN<-read.delim("TableNeuh.txt", sep="\t",header=T)[,-1]
hlavaN<-read.delim("HlavaNeuh.txt", sep="\t",header=T)


## Select samples according sample ID

snimekNEUH<-function(x)
{
selectRel<-subset(dataN, grepl(x, rownames(dataN)))
dd<-t(selectRel[,which(selectRel>0)])
data.frame(Cover=dd[order(dd[,1], decreasing = TRUE),])
}

# Jmena snimku
snimekNEUH("^127$")


## Select individual samples according species present
selectRel<-dataN[which(dataN$Ficaria.verna>0),]
selectRel



### Bednar Litovelske Pomoravi (expert from TURBOVEG: Export -> Spreadsheet table)

# Import dat
data<-read.delim("TVEXPORT_Bednar.csv", sep=";",header=F)

dataN<-t(data[-(1:24),])
colnames(dataN)<-paste0(dataN[1,], dataN[2,])
dataN<-dataN[-c(1,2),]
dataN[dataN == ""] <- 0
dataN <- as.data.frame(apply(dataN, 2, as.numeric))
rownames(dataN)<-1:80

HeaderDATA<-data[1:23,]
#write.table(HeaderDATA, "BednarHEAD.csv",sep=";")

## Select samples according sample ID

snimekNEUH<-function(x)
{
selectRel<-subset(dataN, grepl(x, rownames(dataN)))
dd<-t(selectRel[,which(selectRel>0)])
data.frame(Cover=dd[order(dd[,1], decreasing = TRUE),])
}

# Jmena snimku
snimekNEUH("^1$")


## Select individual samples according species present
selectRel<-dataN[which(dataN$Ficaria.verna>0),]
selectRel




### UHUL Morava (expert from TURBOVEG: Export -> Spreadsheet table)

# Import dat
setwd("/home/douda/Dropbox/GRANTY/INTERCOST_2018_2021/DATABASE/RVEGDAB_Software_Version_1/")
data<-read.delim("Pomoravi_UHULsnimkovano.csv", sep=",",header=F)

dataN<-t(data[-(1:62),])
colnames(dataN)<-paste0(dataN[1,], dataN[2,])
dataN<-dataN[-c(1,2),]
dataN[dataN == ""] <- 0
dataN <- as.data.frame(apply(dataN, 2, as.numeric))
rownames(dataN)<-1:15

HeaderDATA<-data[1:62,]
write.table(HeaderDATA, "UHULmoravaHEAD.csv",sep=";")

## Select samples according sample ID

snimekNEUH<-function(x)
{
selectRel<-subset(dataN, grepl(x, rownames(dataN)))
dd<-t(selectRel[,which(selectRel>0)])
data.frame(Cover=dd[order(dd[,1], decreasing = TRUE),])
}

# Jmena snimku
snimekNEUH("^1$")


## Select individual samples according species present
selectRel<-dataN[which(dataN$Ficaria.verna>0),]
selectRel

