
## Packages - sources
install.packages("rlist")
install.packages("ggplot2")
install.packages("PresenceAbsence")
install.packages("tidyverse")
install.packages("dplyr")
install.packages("vegan")


#load packages
library(ggplot2)
library(tidyverse)
library(rlist)
library(PresenceAbsence)
library(ggplot2)
library(dplyr)
library(vegan)

## Working directory - where databases and scripts are located
setwd("D:/Dropbox/LINUX_COMP/SKOLA/Fytocenologie_Typologie/Seminar/RVEGDAB_Software_Version_1")
setwd("/home/douda/Dropbox/GRANTY/INTERCOST_2018_2021/DATABASE/RVEGDAB_Software_Version_1")
setwd("D:/Dropbox/GRANTY/INTERCOST_2018_2021/DATABASE/RVEGDAB_Software_Version_1")
setwd("F:/Dropbox/GRANTY/INTERCOST_2018_2021/DATABASE/RVEGDAB_Software_Version_1")


# functions of R-VEG software 
source("addReleve.R")
source("createTABLE.R")
source("createHEAD.R")
source("repairREL.R")
source("repairHEAD.R")
source("ConvertTABLE.R")
source("FillTABLE.R")
source("mergeLayers.R")
source("checkDATA.R")
source("SpecFreq.R")


############################################## DATABASEcreator ################################################################################

############################################ A] NEW DATABASE

#addRELEVE(DATARELE="NEW",DATAhead="NEW",SAVE="LitovelPom")

############################################ B] CONTINUE DATABASE CREATION

## IMPORT DATA (place csv name of header and releve tables for which you want continue a database creation) 

DATARELEVES="HrochREL.csv" # give the name of actual table of releves 
DATAHEADERS="HrochHEAD.csv" # give the name of actual table of headers

DATA<-read.delim(DATARELEVES,sep=";",row.names=1) 
DATAhead<-read.delim(DATAHEADERS,sep=";",row.names=1) 

DATA # look at the actual table of releves
DATAhead # look at the actual table of headers

addRELEVE(DATARELEVES,DATAHEADERS,SAVE="HrochB") # every time you start a work, change the date of the database to be saved under new name 


############################################ C] ADD LONG SPECIES NAMES FOR JUICE

### 1] Table name correction
SpLIST<-read.delim("DANIHELKA2012rko.txt", sep="\t")
aa<-paste(SpLIST[,2],3, sep="_")
bb<-paste(SpLIST[,2],2, sep="_")
cc<-paste(SpLIST[,2],1, sep="_")
ee<-paste(SpLIST[,2],"J", sep="_")
ff<-paste(SpLIST[,2],0, sep="_")

dd<-c(aa,bb,cc,ee,ff)
SpLIST<-rbind(SpLIST,SpLIST,SpLIST,SpLIST,SpLIST)
SpLIST[,2]<-dd
SpLIST<-data.frame(SpLIST,rownames(SpLIST))

### 2] UPLOAD REL TABLE
DATA<-read.delim("HrochBREL.csv", sep=";",header=TRUE)
Relevenumber<-ncol(DATA)-1
Relevenumber

### 3] ADD LONG SPECIES NAMES
df<-t(DATA)
colnames(df)<-df[1,]
df<-df[-1,]
df <- as.data.frame(apply(df, 2, as.numeric))
zz<-data.frame(ID=colnames(df),t(df))
SpeciesDATAset<-merge(x=SpLIST,y=zz,by.x = "ShortName", by.y = "ID")
write.table(SpeciesDATAset,"SpeciesDATA.csv",sep=";")






